langt(3)

NAME
langt - langt: general matrix, tridiagonal

SYNOPSIS

  Functions

real function clangt (norm, n, dl, d, du)
CLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.
double precision function dlangt (norm, n, dl, d, du)
DLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.
real function slangt (norm, n, dl, d, du)
SLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.
double precision function zlangt (norm, n, dl, d, du)
ZLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.

Detailed Description

Function Documentation

  real function clangt (character norm, integer n, complex, dimension( * ) dl, complex, dimension( * ) d, complex, dimension( * ) du)

CLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.

Purpose:

    !>
    !> CLANGT  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> complex tridiagonal matrix A.
    !>

Returns
    CLANGT

    !>
    !>    CLANGT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in CLANGT as described
    !>          above.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.  When N = 0, CLANGT is
    !>          set to zero.
    !>

    DL

    !>          DL is COMPLEX array, dimension (N-1)
    !>          The (n-1) sub-diagonal elements of A.
    !>

    D

    !>          D is COMPLEX array, dimension (N)
    !>          The diagonal elements of A.
    !>

    DU

    !>          DU is COMPLEX array, dimension (N-1)
    !>          The (n-1) super-diagonal elements of A.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  double precision function dlangt (character norm, integer n, double precision, dimension( * ) dl, double precision, dimension( * ) d, double precision, dimension( * ) du)

DLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.

Purpose:

    !>
    !> DLANGT  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> real tridiagonal matrix A.
    !>

Returns
    DLANGT

    !>
    !>    DLANGT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in DLANGT as described
    !>          above.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.  When N = 0, DLANGT is
    !>          set to zero.
    !>

    DL

    !>          DL is DOUBLE PRECISION array, dimension (N-1)
    !>          The (n-1) sub-diagonal elements of A.
    !>

    D

    !>          D is DOUBLE PRECISION array, dimension (N)
    !>          The diagonal elements of A.
    !>

    DU

    !>          DU is DOUBLE PRECISION array, dimension (N-1)
    !>          The (n-1) super-diagonal elements of A.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  real function slangt (character norm, integer n, real, dimension( * ) dl, real, dimension( * ) d, real, dimension( * ) du)

SLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.

Purpose:

    !>
    !> SLANGT  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> real tridiagonal matrix A.
    !>

Returns
    SLANGT

    !>
    !>    SLANGT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in SLANGT as described
    !>          above.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.  When N = 0, SLANGT is
    !>          set to zero.
    !>

    DL

    !>          DL is REAL array, dimension (N-1)
    !>          The (n-1) sub-diagonal elements of A.
    !>

    D

    !>          D is REAL array, dimension (N)
    !>          The diagonal elements of A.
    !>

    DU

    !>          DU is REAL array, dimension (N-1)
    !>          The (n-1) super-diagonal elements of A.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  double precision function zlangt (character norm, integer n, complex*16, dimension( * ) dl, complex*16, dimension( * ) d, complex*16, dimension( * ) du)

ZLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.

Purpose:

    !>
    !> ZLANGT  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> complex tridiagonal matrix A.
    !>

Returns
    ZLANGT

    !>
    !>    ZLANGT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in ZLANGT as described
    !>          above.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.  When N = 0, ZLANGT is
    !>          set to zero.
    !>

    DL

    !>          DL is COMPLEX*16 array, dimension (N-1)
    !>          The (n-1) sub-diagonal elements of A.
    !>

    D

    !>          D is COMPLEX*16 array, dimension (N)
    !>          The diagonal elements of A.
    !>

    DU

    !>          DU is COMPLEX*16 array, dimension (N-1)
    !>          The (n-1) super-diagonal elements of A.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.